%define name CommonC++
%define version 1.6.0
%define release 1mdk

%define major 1.6
%define libname lib%name%major


Summary:	A GNU package for creating portable C++ programs
Name:		CommonC++
Version:	%version
Release:	%release
Group:		Development/C++
URL:		http://www.voxilla.org/projects/projape.html

Source:		commonc++-%version.tar.bz2

Obsoletes:	APE
License:	GPL
BuildRoot:	%_tmppath/%name-%version-%release-root
# Dadou - 1.3.1-2mdk - Build fails at present time on PPC. Need to be fixed
#                      later. Please remember to try on PPC when a new version
#                      will be available.
# Lenny - 1.3.2-1mdk - This version builds on ppc
#ExcludeArch:	ppc

%description
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++ is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

%package -n %libname
Summary:        A GNU package for creating portable C++ program
Group:          Development/C++
Requires:       CommonC++
Obsoletes:	CommonC++-devel

%description -n %libname
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++ is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

%package -n %libname-devel
Summary:        A GNU package for creating portable C++ program
Group:          Development/C++
Requires:	%libname = %version 
Provides:	libCommonC++-devel


%description -n %libname-devel
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++ is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

CFLAGS="%optflags" ./configure --prefix=%_prefix

%make

%install
mkdir -p $RPM_BUILD_ROOT/%_mandir/man3

make prefix=%buildroot/%_prefix install

cp doc/man3/* $RPM_BUILD_ROOT/%{_mandir}/man3/.
bzip2 $RPM_BUILD_ROOT/%{_mandir}/man3/*

rm -rf

%files 
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README TODO OVERVIEW.TXT ChangeLog 
%doc doc/latex doc/html
%_bindir/*
%_datadir/aclocal/*
%_mandir/man3/*

%files -n %libname
%defattr(-,root,root,0755)
%doc COPYING
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root,0755)
%doc COPYING
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_includedir/cc++

%clean
rm -fr %buildroot

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%changelog
* Tue Sep 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-1mdk
- 1.6.0

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5.0-1mdk
- updated to 1.5.0
- split

* Tue Jun 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.3-1mdk
- updated to 1.4.3
- build with egcs


* Mon Mar 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.3-1mdk
- updated to 1.3.3
- split

* Wed Jan 17 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.3.2-1mdk
- updated to 1.3.2
- build on ppc

* Wed Jan 03 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3.1-2mdk
- ExcludeArch: ppc
- Minor spec clean up

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-1mdk
- updated to 1.3.1

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-1mdk
- updated to 1.3.0

* Wed Dec 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-1mdk
- updated to 1.2.6
- don't ever think compile this when you have a "cl" named script in your path

* Tue Aug 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- v1.2.0

* Thu Jul 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-2mdk
- macros
 
* Wed Jun 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk
- v1.1.0
 
* Wed Jun 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- v1.0.2
 
* Wed May 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- v1.0.1
 
* Mon Mar 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- used srpm provided by David Sugar <dyfet@ostel.com>  
